<vn>
<vn-lot-query id="params">
	<vn-spec name="config" type="Number"/>
</vn-lot-query>
<vn-lot id="lot"/>
<div id="title">
	<h1><t>Shelves</t></h1>
</div>
<div id="actions" class="action-bar">
	<htk-bar-button
		icon="print"
		tip="_Preview"
		on-click="this.onPreviewClick()"/>
</div>
<div id="form" class="shelves">
	<div class="form box vn-w-sm vn-pa-lg">
		<div class="form-group">
			<label><t>Configuration</t></label>
			<htk-combo
				id="config"
				placeholder="_Select config"
				form="params"
				column="config"
				on-changed="this.onConfigChange()"
				on-ready="this.onConfigChange()">
				<db-model property="model">
					SELECT c.id, c.name reportTitle, c.namePrefix, c.warehouse, c.family,
					c.shelf, c.maxAmount, c.showPacking, c.stack, t.reino_id realm
						FROM shelfConfig c
						JOIN vn2008.Tipos t ON t.tipo_id = c.family
				</db-model>
			</htk-combo>
		</div>
		<div class="form-group">
			<label><t>Date</t></label>
			<htk-date-chooser form="lot" name="date"/>
		</div>
		<div class="form-group">
			<label><t>Reign</t></label>
			<htk-combo form="lot" name="realm">
				<db-model property="model">
					SELECT id, reino FROM vn2008.reinos
						WHERE display != FALSE ORDER BY reino
				</db-model>
			</htk-combo>
		</div>
		<div class="form-group">
			<label><t>Family</t></label>
			<htk-combo form="lot" name="family">
				<db-model property="model" lot="lot">
					SELECT tipo_id, Tipo FROM vn2008.Tipos 
						WHERE reino_id = #realm ORDER BY Tipo
				</db-model>
			</htk-combo>
		</div>
		<div class="form-group">
			<label><t>Store</t></label>
			<htk-combo form="lot">
				<db-model property="model">
					SELECT id, name FROM vn2008.warehouse
						WHERE reserve ORDER BY name
				</db-model>
			</htk-combo>
		</div>
		<div class="form-group">
			<label><t>Shelf</t></label>
			<htk-combo form="lot" name="shelf">
				<db-model property="model">
					SELECT id, name FROM shelf
				</db-model>
			</htk-combo>
		</div>
		<div class="form-group">
			<label><t>Name prefix</t></label>
			<htk-entry form="lot" name="namePrefix"/>
		</div>
		<div class="form-group">
			<label><t>Limit amount per item</t></label>
			<htk-entry form="lot" name="maxAmount"/>
		</div>
		<div class="form-group">
			<label><t>Title</t></label>
			<htk-entry form="lot" name="reportTitle"/>
		</div>
		<div class="form-group">
			<label>
				<htk-check form="lot" name="showPacking"/>
				<t>Show packing</t>
			</label>
		</div>
		<div class="form-group">
			<label>
				<htk-check form="lot" name="stack"/>
				<t>Stack different items</t>
			</label>
		</div>
		<div class="form-group">
			<label>
				<htk-check form="lot" name="useIds"/>
				<t>Use ids instead of names</t>
			</label>
		</div>
	</div>
</div>
</vn>
